Commit 5d27194d authored by David Byers's avatar David Byers
Browse files

Sista synkning före relase.

parent 28def6b6
Tue Sep 16 11:24:24 1997 David Byers <davby@ida.liu.se>
* lyskom.el: Release av version 0.45.
* envcheck.el: Snyggare meddelanden.
* edit-text.el (lyskom-edit-add-recipient/copy): Lade tillbaks
save-excursion kring funktionen.
Sat Sep 13 15:31:51 1997 David Byers <davby@ida.liu.se>
* edit-text.el (lyskom-edit-insert-commented): Hmta
......
......@@ -36,7 +36,7 @@
# makefile too!
#
CLIENTVERSION = 0.45-beta
CLIENTVERSION = 0.45
DOCFILES=NEWS-0.45 MIGRATION-0.44-0.45
FTPDIR=/home/davby/www-pub
......
......@@ -8,8 +8,6 @@ Att g
alla fall. Och den beter sig fel när man står vid prompten och
vill bläddra bakåt.
Långsamma kommandon buggar, eftersom bufferten är skrivskyddad.
Dubbla prefetcher kan vara väldigt förvirrande. Om man t.ex. gör
endast i ett möte (säg IÅM) innan det prefetchas får man två
parallella prefetcher på samma möte.
......@@ -263,3 +261,5 @@ Att g
Nu när lyskom-bufferten återanvänds så kanske M-x lyskom inte ska
döda bufferten om den misslyckas med att koppla upp sig. [FIXAT]
Långsamma kommandon buggar, eftersom bufferten är skrivskyddad.
......@@ -100,7 +100,7 @@ lyskom.elc: lyskom.el
lyskom.el: $(HEADER) $(SOURCES)
cat $(HEADER) $(SOURCES) > lyskom.el
install: all
install: lyskom.elc
cp lyskom.el lyskom.elc $(LISPDIR)
clean:
......
......@@ -20,8 +20,8 @@
LysKOM is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.
the Free Software Foundation; either version 2, or (at your
option) any later version.
LysKOM is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
......@@ -94,7 +94,9 @@
Type `make'. If your environment is set up correctly, LysKOM
should be compiled. When compilation is finished, type `make
install' to copy all the relevant files to the relevant places.
install' to copy all the relevant files to the relevant places. If
you do `make install' without just doing `make', you'll bypass the
environment check, which is probably not a good idea.
Start Emacs, load lyskom.elc and type M-x lyskom RET, and you
should be in business.
......
......@@ -866,7 +866,7 @@ CC recipients."
(insert-at (point-min-marker))
(conf-stat (lyskom-read-conf-stat prompt '(all) nil "" t)))
(lyskom-save-excursion
;;(save-excursion
(save-excursion
(set-buffer lyskom-buffer)
;; +++ The information about msg-of-day might be old. We should
;; make sure it is up-to-date.
......@@ -892,7 +892,7 @@ CC recipients."
(if what-to-do
(funcall what-to-do conf-stat insert-at edit-buffer)
(lyskom-edit-insert-misc-conf conf-stat string
insert-at nil)))))))))
insert-at nil))))))))))
......
......@@ -93,8 +93,15 @@ is used instead of `load-path'."
(have-cus-edit (lyskom-locate-library "cus-edit"))
(have-cus-face (lyskom-locate-library "cus-face"))
(have-w3 (lyskom-locate-library "w3"))
(have-calc (lyskom-locate-library "calc"))
(fatal nil))
(message "\
===============================================================================
Checking the Emacs environment for LysKOM.
")
;;
;; Check the custom library
;;
......@@ -103,7 +110,8 @@ is used instead of `load-path'."
(when have-custom
(load-library "custom")
(when (not (fboundp 'custom-declare-group))
(message "
(message "Checking custom and widget...error
--- Antique version the custom library detected (FATAL)
You have an old version of the custom library in your load path that is
......@@ -116,7 +124,8 @@ or that all users of LysKOM prepend a directory containing the new version
of custom to their load path.
You can get a copy of the most recent version of the custom library from
http://www.dina.kvl.dk/~abraham/custom/")
http://www.dina.kvl.dk/~abraham/custom/
")
(setq fatal t)
(throw 'terminate nil))
......@@ -125,7 +134,8 @@ http://www.dina.kvl.dk/~abraham/custom/")
have-wid-browse
have-cus-edit
have-cus-face))
(message "
(message "Checking custom and widget...error
--- Parts of the custom library appear to be missing (FATAL)
It looks like you have a recent version of custom, but some of the
......@@ -135,19 +145,24 @@ example, wid-edit.el used to be widget-edit.el.) If that is the case,
you should get a new copy of the library. You can download the custom
library from http://www.dina.kvl.dk/~abraham/custom/
")
(message " custom " (message (if have-custom "found" "not found")))
(message " cus-edit " (message (if have-cus-edit "found"
"not found")))
(message " cus-face " (message (if have-cus-face "found"
"not found")))
(message " widget " (message (if have-widget "found" "not found")))
(message " wid-edit " (message (if have-wid-edit "found"
"not found")))
(message " wid-browse " (message (if have-wid-browse "found"
"not found")))
(setq fatal t)))
(message " custom %s" (if have-custom "found" "not found"))
(message " cus-edit %s" (if have-cus-edit "found"
"not found"))
(message " cus-face %s" (if have-cus-face "found"
p "not found"))
(message " widget %s" (if have-widget "found" "not found"))
(message " wid-edit %s" (if have-wid-edit "found"
"not found"))
(message " wid-browse %s" (if have-wid-browse "found"
"not found"))
(message "")
(setq fatal t)
(throw 'terminate nil))
(message "Checking custom and widget...OK"))
(unless have-custom
(message "\
(message "Checking custom and widget...error
--- The custom library is not in the default load path (FATAL)
For LysKOM to work you need to install the custom library, a library
......@@ -155,7 +170,8 @@ that implements a reasonably user-friendly configuration interface to
Emacs. Note that modern versions of custom are incompatible with the
early version distributed with some versions of Gnus. Recent versions
of Gnus use the new library. You can download a copy of the custom
library from http://www.dina.kvl.dk/~abraham/custom/")
library from http://www.dina.kvl.dk/~abraham/custom/
")
(setq fatal t)))
;;
......@@ -166,18 +182,51 @@ library from http://www.dina.kvl.dk/~abraham/custom/")
(if have-w3
(progn
(load-library "w3")
(unless (fboundp 'w3-region)
(message "
(if (not (fboundp 'w3-region))
(message "Checking w3...error
--- Antique version of w3 detected (WARNING)
You have a version of w3 installed that is of no use to LysKOM. Although
LysKOM will work, it will be unable to format articles containing HTML.
You may want to upgrade your w3 to version 3.something.")))
(message "
You may want to upgrade your w3 to version 3.something.
")
(message "Checking w3...OK")))
(message "Checking w3...error
--- Didn't find w3 at all (WARNING)
Without w3 LysKOM will be unable to format articles containing HTML code.
You may want to install w3 too.")))
You may want to install w3 too.
")))
;;
;; Check calc
;;
(catch 'terminate
(if have-calc
(progn
(load-library "calc")
(if (not (fboundp 'calc-eval))
(message "Checking calc...error
--- Antique version of calc (WARNING)
You have a version of calc that does not include the function calc-eval,
which LysKOM uses. LysKOM will still work, but the Calculate command
won't.
")
(message "Checking calc...OK")))
(message "Checking calc...error
--- Didn't find calc at all (WARNING)
Without calc LysKOM's Calculate command will not work. You may want to
get and install calc.
")))
;;
......@@ -186,13 +235,16 @@ You may want to install w3 too.")))
(if fatal
(message "
===============================================================================
FATAL ERRORS DETECTED!
Some of the errors detected are fatal. If you don't fix them LysKOM will
not work and might not even compile.
===============================================================================
")
(message "
You should be able to compile and install LysKOM without too much trouble"))))
You should be able to compile and install LysKOM without too much trouble
===============================================================================
"))))
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment